"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _wordsList = require("../data/wordsList");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const LoremIpsum = _ref => {
  let {
    words,
    paragraphs
  } = _ref;

  const renderText = words => {
    let wordStorage = _wordsList.wordsList;
    let text = '';

    while (wordStorage.length < words) {
      wordStorage = wordStorage.concat(_wordsList.wordsList);
    }

    for (let i = 0; i < words; i++) {
      if (i > 0) {
        text += ' ';
      }

      let nextWord = _wordsList.wordsList[Math.floor(Math.random() * _wordsList.wordsList.length)];

      if (i === 0) {
        nextWord = nextWord.charAt(0).toUpperCase() + nextWord.slice(1);
      }

      text += nextWord;
    }

    text += '.';
    return text;
  };

  const renderParagraphs = () => {
    let text = [];

    for (let i = 0; i < paragraphs; i++) {
      text.push( /*#__PURE__*/_react.default.createElement("p", {
        key: 'lorem-ipsum-paragraph-' + i
      }, renderText(words / paragraphs)));
    }

    return text;
  };

  return /*#__PURE__*/_react.default.createElement("div", null, renderParagraphs());
};

LoremIpsum.propTypes = {
  words: _propTypes.default.number,
  paragraphs: _propTypes.default.number
};
LoremIpsum.defaultProps = {
  paragraphs: 1,
  words: 1
};
var _default = LoremIpsum;
exports.default = _default;